#
# spec file for package python-fake-factory
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-fake-factory
Version:        0.5.7
Release:        9.2
License:        MIT
Summary:        Faker is a Python package that generates fake data for you
Url:            http://github.com/joke2k/faker
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/f/fake-factory/fake-factory-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires(post):   update-alternatives
Requires(preun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Faker is a Python package that generates fake data for you. Whether
you need to bootstrap your database, create good-looking XML documents,
fill-in your persistence to stress test it, or anonymize data taken from
a production service, Faker is for you.

Faker is heavily inspired by PHP Faker, Perl Faker, and by Ruby Faker.

%prep
%setup -q -n fake-factory-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Prepare for update-alternatives usage
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mv %{buildroot}%{_bindir}/faker %{buildroot}%{_bindir}/faker-%{py_ver}
ln -s -f %{_sysconfdir}/alternatives/faker %{buildroot}%{_bindir}/faker

%post
%_sbindir/update-alternatives \
   --install %{_bindir}/faker faker %{_bindir}/faker-%{py_ver} 30

%preun
if [ $1 -eq 0 ] ; then
    %_sbindir/update-alternatives --remove faker %{_bindir}/faker-%{py_ver}
fi

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE.txt CHANGELOG.rst
%{python_sitelib}/*
%{_bindir}/faker
%{_bindir}/faker-%{py_ver}
%ghost %{_sysconfdir}/alternatives/faker

%changelog
* Mon Aug 15 2016 toddrme2178@gmail.com
- Fix update-alternatives implementation.
* Mon May  9 2016 toddrme2178@gmail.com
- Fix update-alternatives usage.
* Mon May  9 2016 toddrme2178@gmail.com
- Update to 0.5.7
  * Repackage to resolve PyPI issue.
- Update to 0.5.6
  * Add date handling for datetime functions. Thanks @rpkilby.
  * Discern male and female first names in pt_BR. Thanks @gabrielusvicente.
- Update to 0.5.5
  * Specify help text for command line. Thanks @cbaines.
- Update to 0.5.4
  * Expose Provider's random instance. Thank @gsingers for the suggestion.
  * Make sure required characters are in the password. Thanks @craig552uk.
  * Add `internet` and `jobs` Providers for `fa_IR`. Thanks @hamidfzm.
  * Correct Poland phone numbers. Thanks @fizista.
  * Fix brittly tests due to seconds elapsed in-between comparison
  * Allow unicode in emails and domains. Thanks @zdelagrange for the report.
  * Use ``dateutil`` for computing next_month. Thanks @mark-love, @rshk.
  * Fix tests module import. Thanks @jorti for the report.
  * Handle unexpected length in ``ean()``. Thanks @michaelcho.
  * Add internet provider for ``ja_JP``. Thanks @massa142.
  * Add Romanized Japanese person name. Thanks @massa142.
  * Add tzinfo support to datetime methods. Thanks @j0hnsmith.
  * Add an 'office' file extensions category. Thanks @j0hnsmith.
  * Generate name according to profile's sex. Thanks @Dutcho for the report.
  * Add ``bs_BA`` phone number and internet provider. Thanks @elahmo.
  * Add a SSN provider for ``zh_CN``. Thanks @felixonmars.
  * Differentiate male and female first names in ``fr_FR`` locale. Thanks @GregoryVds
  * Add Maestro credit card. Thanks @anthonylauzon.
  * Add ``hr_HR`` localization. Thanks @mislavcimpersak.
  * Update ``de_DE`` first names. Thanks @WarrenFaith and @mschoebel.
  * Allow generation of IPv4 and IPv6 network address with valid CIDR. Thanks @kdeldycke.
  * Unittest IPv4 and IPv6 address and network generation. Thanks @kdeldycke.
  * Add a new provider to generate random binary blob. Thanks @kdeldycke.
  * Check that randomly produced language codes are parseable as locale by the
    factory constructor. Thanks @kdeldycke.
  * Fix chinese random language code. Thanks @kdeldycke.
  * Remove duplicate words from Lorem provider. Thanks @jeffwidman.
* Tue Nov 10 2015 tbechtold@suse.com
- Initial packaging (version 0.5.3)
